RubyGems Navigation menu

rubocop 0.44.1

Automatic Ruby code style checking tool. Aims to enforce the community-driven Ruby Style Guide.

Versions:

  1. 1.39.0 - November 14, 2022 (564 KB)
  2. 1.38.0 - November 01, 2022 (563 KB)
  3. 1.37.1 - October 24, 2022 (560 KB)
  4. 1.37.0 - October 20, 2022 (559 KB)
  5. 1.36.0 - September 01, 2022 (555 KB)
  6. 0.44.1 - October 13, 2016 (269 KB)
Show all versions (222 total)

Runtime Dependencies (5):

  • parser < 3.0, >= 2.3.1.1
  • powerpack ~> 0.1
  • rainbow < 3.0, >= 1.99.1
  • ruby-progressbar ~> 1.7
  • unicode-display_width >= 1.0.1, ~> 1.0
  • Development Dependencies (1):

  • bundler ~> 1.3
  • Owners:

    Authors:

    • Bozhidar Batsov, Jonas Arvidsson, Yuji Nakayama

    SHA 256 checksum:

    2f702937dce43bed412c186dadd3727a769e837bd82263ee7687f37050c324ec

    Total downloads 277,536,246

    For this version 448,867

    Gemfile:
    = Copy to clipboard Copied!

    install:
    =

    License:

    MIT

    Required Ruby Version: >= 2.0.0

    New versions require MFA: true

    Links: